> This page is for Afterpay Partner API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.afterpay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.afterpay.com/_mcp/server.

# Get Activations

GET https://agencyapi.afterpay.com/v1/onboardings/{onboardingId}/activations

Returns the onboarding status, merchant credentials, configuration details.

Reference: https://developers.afterpay.com/afterpay-partner-api/api-reference/reference-partner-api/onboardings/get-onboarding-status

## Servers

- `https://agencyapi.afterpay.com` (Production, default)
- `https://agencyapi.sandbox.afterpay.com` (Sandbox)

## Request

### Path parameters

- `onboardingId` (string, required) — The ID that is returned during a successful Create an onboarding call.

### Headers

- `Accept` (string, required, default: application/json) — Specifies media types that are acceptable for the response.

## Response

### 200

Returns the onboarding status, merchant credentials, and configuration details.

- `status` (string, optional) — Approval status of the onboarding.
- `credentials` (V1OnboardingsOnboardingIdActivationsGetResponsesContentApplicationJsonSchemaCredentials, optional)
- `configuration` (V1OnboardingsOnboardingIdActivationsGetResponsesContentApplicationJsonSchemaConfiguration, optional)

## Errors

### 401 Unauthorized Error

Unauthorized, HMAC verification failed

- `timestamp` (string, optional) — Timestamp of the response.
- `status` (integer, optional) — The HTTP status code.
- `error` (string, optional) — Name of the error that occurred.
- `message` (string, optional) — A human-readable message which provides more details about the error.
- `path` (string, optional) — The attempted endpoint.

### 404 Not Found Error

Not Found - The specified resource was not found.

- `timestamp` (string, optional) — Timestamp of the response, indicating when the error occurred.
- `status` (integer, optional) — The HTTP status code, specifically indicating a 404 error in this case.
- `error` (string, optional) — A short description of the error, typically "Not Found" for a 404 response.
- `message` (string, optional) — A human-readable message providing more details about the error.
- `path` (string, optional) — The attempted endpoint path that resulted in the 404 error.

### 503 Service Unavailable Error

Service unavailable.

- `timestamp` (string, optional) — Timestamp of the response.
- `status` (integer, optional) — The HTTP status code.
- `error` (string, optional) — Name of the error that occurred.
- `message` (string, optional) — A human-readable message which provides more details about the error.
- `path` (string, optional) — The attempted endpoint.

## Types

### V1OnboardingsOnboardingIdActivationsGetResponsesContentApplicationJsonSchemaCredentials

- `merchantId` (string, optional) — Afterpay's unique merchant ID (MID) for the merchant.
- `merchantSecret` (string, optional) — Secret key for the merchant ID.

### V1OnboardingsOnboardingIdActivationsGetResponsesContentApplicationJsonSchemaConfiguration

- `minimumAmount` (V1OnboardingsOnboardingIdActivationsGetResponsesContentApplicationJsonSchemaConfigurationMinimumAmount, optional)
- `maximumAmount` (V1OnboardingsOnboardingIdActivationsGetResponsesContentApplicationJsonSchemaConfigurationMaximumAmount, optional)

### V1OnboardingsOnboardingIdActivationsGetResponsesContentApplicationJsonSchemaConfigurationMinimumAmount

- `amount` (string, optional) — Minimum transaction amount.
- `currency` (string, optional) — Currency for the minimum amount.

### V1OnboardingsOnboardingIdActivationsGetResponsesContentApplicationJsonSchemaConfigurationMaximumAmount

- `amount` (string, optional) — Maximum transaction amount.
- `currency` (string, optional) — Currency for the maximum amount.

## Examples

**Response**

```json
{
  "status": "APPROVED",
  "credentials": {
    "merchantId": "123456789",
    "merchantSecret": "123abc456def789ghi101112jkl1314mnop1124bdayaya29djsncmxxjxkx9236xu38djx8dn3gbd3m45n21n"
  },
  "configuration": {
    "minimumAmount": {
      "amount": "1.00",
      "currency": "USD"
    },
    "maximumAmount": {
      "amount": "4000.00",
      "currency": "USD"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/activations"

headers = {
    "Accept": "application/json",
    "User-Agent": "User-Agent"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/activations';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'User-Agent': 'User-Agent'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/activations"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("User-Agent", "User-Agent")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/activations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["User-Agent"] = 'User-Agent'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/activations")
  .header("Accept", "application/json")
  .header("User-Agent", "User-Agent")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/activations', [
  'headers' => [
    'Accept' => 'application/json',
    'User-Agent' => 'User-Agent',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/activations");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("User-Agent", "User-Agent");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "User-Agent": "User-Agent"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/activations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```